# API Documentation

## modules

- [workflows](rdetoolkit/workflows): ワークフローの定義と管理を行うモジュール。
- [config](rdetoolkit/config): 設定ファイルの読み込みと管理を行うモジュール。
- [fileops](rdetoolkit/fileops): RDE関連のファイル操作を提供するモジュール。
- [rde2util](rdetoolkit/rde2util): RDE関連のユーティリティ関数を提供するモジュール。
- [invoicefile](rdetoolkit/invoicefile): 請求書ファイルの処理を行うモジュール。
- [validation](rdetoolkit/validation): データの検証を行うモジュール。
- [modeproc](rdetoolkit/modeproc): モード処理を行うモジュール。
- [img2thumb](rdetoolkit/img2thumb): 画像をサムネイルに変換するモジュール。
- [rdelogger](rdetoolkit/rdelogger): ロギング機能を提供するモジュール。
- [errors](rdetoolkit/errors): エラーハンドリングを行うモジュール。
- [exceptions](rdetoolkit/exceptions): 例外処理を行うモジュール。

## models

- [config](rdetoolkit/models/config): 設定ファイルの読み込みと管理を行うモジュール。
- [invoice_schema](rdetoolkit/models/invoice_schema): 送り状のスキーマを定義するモジュール。
- [invoice](rdetoolkit/models/invoice): 送り状やExcelinvoiceの情報を定義するモジュール。
- [metadata](rdetoolkit/models/metadata): メタデータの管理を行うモジュール。
- [rde2types](rdetoolkit/models/rde2types): RDE関連の型定義を提供するモジュール。
- [result](rdetoolkit/models/result): 処理結果を管理するモジュール。

## impl

- [compressed_controller](rdetoolkit/impl/compressed_controller): 圧縮ファイルの管理を行うモジュール。
- [input_controller](rdetoolkit/impl/input_controller): 入力モードの管理を行うモジュール。

## interface

- [filechecker](rdetoolkit/interface/filechecker)

## cmd

- [command](rdetoolkit/cmd/command)
